function sp = prova2 (knots)

  ndim = numel (knots);
  sp.knots = knots;

  sp.dofs = [];
  if (ndim > 1)
    for iside = 1:ndim
      ind = setdiff (1:ndim, iside);

      sp.boundary(iside) = prova2 (sp.knots(ind));
      sp.boundary(iside).dofs = ind;
    end
        
  else
    sp.boundary = [];
  end

  sp = class (sp, 'prova2');

end
